Bug 739050 - non-fatal <unknown> scriptlet failure in rpm package fence-agents
Summary: non-fatal <unknown> scriptlet failure in rpm package fence-agents
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Caspar Zhang
URL:
Whiteboard:
Depends On:
Blocks: 747120
TreeView+ depends on / blocked
 
Reported: 2011-09-16 12:17 UTC by Milos Malik
Modified: 2013-09-30 02:27 UTC (History)
6 users (show)

Fixed In Version: kexec-tools-2_0_0-205_el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 18:19:45 UTC


Attachments (Terms of Use)
Fix for fence-agents triggerin script in kexec-tools spec file. (319 bytes, patch)
2011-09-20 17:17 UTC, Ryan O'Hara
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1532 normal SHIPPED_LIVE Moderate: kexec-tools security, bug fix, and enhancement update 2011-12-06 01:01:52 UTC

Description Milos Malik 2011-09-16 12:17:51 UTC
Description of problem:


Version-Release number of selected component (if applicable):
fence-agents-3.1.5-8.el6

How reproducible:
always

Steps to Reproduce:
1. get a fresh RHEL-6.2 machine
2. log as root in via ssh
3. yum -y install audit cman cmirror corosync fence-agents grep initscripts kmod-cmirror libselinux libselinux-utils luci lvm2-cluster mktemp NetworkManager openais policycoreutils rgmanager ricci sed selinux-policy selinux-policy-targeted setools setools-console
  
Actual results (seen on i386 machine):
  Installing : fence-agents-3.1.5-8.el6.i686                             29/41
Non-fatal <unknown> scriptlet failure in rpm package fence-agents-3.1.5-8.el6.i686
warning: %triggerin(fence-agents-3.1.5-8.el6.i686) scriptlet failed, exit status 1

Actual results (seen on x86_64 machine):
  Installing : fence-agents-3.1.5-8.el6.x86_64                            35/41
Non-fatal <unknown> scriptlet failure in rpm package fence-agents-3.1.5-8.el6.x86_64
warning: %triggerin(fence-agents-3.1.5-8.el6.x86_64) scriptlet failed, exit status 1

Expected results:
* no scriptlet failures

Comment 3 Fabio Massimo Di Nitto 2011-09-20 04:47:04 UTC
Milos,

I spoke to some rpm/yum guys.

The %triggerin section is executed by some other packages when fence-agents is installed/updated/removed and it's not a bug in fence-agents itself.

As far as I know the only package that does trigger on fence-agents is kdump-tools (or kdump-utils?).

Can you please check if kdump was installed on the system at the time fence-agents was being installed?

Comment 5 Milos Malik 2011-09-20 06:50:55 UTC
Your theory seems to be right. kexec-tools package (which contains kdump) was already installed on the machine when I got it from inventory (before I executed the yum command).

Comment 6 Fabio Massimo Di Nitto 2011-09-20 06:56:17 UTC
(In reply to comment #5)
> Your theory seems to be right. kexec-tools package (which contains kdump) was
> already installed on the machine when I got it from inventory (before I
> executed the yum command).

I am also testing this locally now, but could you be so kind to do a counter test by removing kexec-tools from the installation before installing fence-agents?

Thanks!

Comment 7 Fabio Massimo Di Nitto 2011-09-20 07:03:21 UTC
OK i have been able to reproduce the problem locally:

rpm -e --nodeps fence-agents
yum install kexec-tools
yum install fence-agents

Running Transaction
  Installing : fence-agents-3.1.5-9.el6.x86_64                              1/1 
Non-fatal <unknown> scriptlet failure in rpm package fence-agents-3.1.5-9.el6.x86_64
warning: %triggerin(fence-agents-3.1.5-9.el6.x86_64) scriptlet failed, exit status 1

Note that I did not configure kexec-tools, but merely installed the package.

Comment 17 errata-xmlrpc 2011-12-06 18:19:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1532.html


Note You need to log in before you can comment on or make changes to this bug.